import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-angular-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { DoubleCollection } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    protected bj(): Series;
    protected get_er(): boolean;
    protected get_ep(): boolean;
    constructor();
    protected cs(): SeriesView;
    q1(a: SeriesView): void;
    protected zz: CrosshairLayerView;
    acc: Brush;
    acd: Brush;
    aaq: string;
    gu(a: Series): boolean;
    z0: Series;
    z5: boolean;
    z3: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    z1(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    z2(): boolean;
    acg: Brush;
    ace: Brush;
    z8: number;
    aak: number;
    acf: Brush;
    get acm(): Thickness;
    aaa: number;
    aac: number;
    aab: number;
    z9: number;
    get acn(): Thickness;
    aag: number;
    aai: number;
    aah: number;
    aaf: number;
    aad: number;
    acj: Brush;
    ach: Brush;
    aae: number;
    aal: number;
    aci: Brush;
    aaj: number;
    acp: Visibility;
    aco: Visibility;
    z4: boolean;
    protected yp(a: Series, b: boolean): void;
    protected yr(a: Frame, b: SeriesView): void;
    protected xi(a: Series): boolean;
    qp(): void;
    protected w2(): AnnotationAppearanceMode;
    protected xp(): number;
    protected xs(): number;
    protected xr(): number;
    protected zo(): DoubleCollection;
    protected zp(): DoubleCollection;
    private ack;
    private acl;
    private abh;
    private z7;
    private z6;
    protected abi(a: CrosshairLayerFrame, b: boolean): void;
    private abg;
    protected yu(a: Frame, b: SeriesView): void;
    protected ga(): boolean;
    protected q9(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b7: CrosshairLayer;
    b8: Pool$1<Path>;
    protected b9: List$1<Path>;
    au(): void;
    private ch;
    private ca;
    private cc;
    private cb;
    cd(a: Path, b: number, c: number, d: number): void;
    ce(a: Brush, b: number): Brush;
    cg(a: Brush, b: number): Brush;
    cf(a: Brush, b: number): Brush;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
